<?php

namespace App\Monitor\Dto;

use Carbon\Carbon;

class UpcomingEpisode
{
    public function __construct(
        public string $title,
        public string $airDate {
            get => Carbon::parse($this->airDate)->format('m/d/Y');
        },
        public string $episodeTitle,
        public int $episodeNumber,
    ) {}
}